Subject: [bug#39258] [PATCH v2 0/3] Xapian for Guix package search

From: zimoun <[email-masked]>
Date: Tue, 10 Mar 2020 15:33:55 +0100

Hi Arun,

On Tue, 10 Mar 2020 at 15:18, Arun Isaac <[email-masked]> wrote:

> > We could provide a substitute for users who use only the official 'guix
> > channel.  However, as soon as users combine multiple channels, they’ll
> > have to build the index locally.
>
> We could build a separate Xapian database for each channel. Xapian does
> support searching across multiple databases at once and will handle
> merging the results together appropriately. If I understand correctly,
> this means we can provide substitutes for at least the official guix
> channel and let the user build the index locally for other channels. Is
> that correct?

To complement your words, you could also imagine index all the history
as any other channels. It needs some thoughts but it seems a path that
I would to go.

> Also, could someone please build the patchset v2 on their machine and
> measure the time taken by generate-package-search-index? My laptop,
> particularly my HDD is slow even as far as HDDs go. So, my figure of
> 20-50 seconds may not be representative.

I will do when I will be fully back. :-)

All the best,
simon